/*
*********************************************************************************************************
* Module     : PRN_IO.H
* Author     : Randy Rasa
* Description: Header file for PRN_IO.C (Printer Port I/O Routines)
*********************************************************************************************************
*/


/*
*********************************************************************************************************
* Public Function Prototypes
*********************************************************************************************************
*/
void PrnIO_Init (void);
void PrnIO_D0 (char state);
void PrnIO_D1 (char state);
void PrnIO_D2 (char state);
void PrnIO_D3 (char state);
void PrnIO_D4 (char state);
void PrnIO_D5 (char state);
void PrnIO_D6 (char state);
void PrnIO_D7 (char state);
void PrnIO_Data (unsigned char dataout);
char PrnIO_Error (void);
char PrnIO_Selected (void);
char PrnIO_PaperOut (void);
char PrnIO_Acknowledge (void);
char PrnIO_Busy (void);
void PrnIO_DataStrobe (char state);
void PrnIO_Autofeed (char state);
void PrnIO_InitOut (char state);
void PrnIO_Select (char state);


/*
*********************************************************************************************************
* Macros
*********************************************************************************************************
*/
#define PrnIO_In0()     PrnIO_Error()
#define PrnIO_In1()     PrnIO_Selected()
#define PrnIO_In2()     PrnIO_PaperOut()
#define PrnIO_In3()     PrnIO_Acknowledge()
#define PrnIO_In4()     PrnIO_Busy()

#define PrnIO_Out0(x)   PrnIO_D0(x)
#define PrnIO_Out1(x)   PrnIO_D1(x)
#define PrnIO_Out2(x)   PrnIO_D2(x)
#define PrnIO_Out3(x)   PrnIO_D3(x)
#define PrnIO_Out4(x)   PrnIO_D4(x)
#define PrnIO_Out5(x)   PrnIO_D5(x)
#define PrnIO_Out6(x)   PrnIO_D6(x)
#define PrnIO_Out7(x)   PrnIO_D7(x)
#define PrnIO_Out8(x)   PrnIO_DataStrobe(x)
#define PrnIO_Out9(x)   PrnIO_Autofeed(x)
#define PrnIO_Out10(x)  PrnIO_InitOut(x)
#define PrnIO_Out11(x)  PrnIO_Select(x)